> For the complete documentation index, see [llms.txt](https://milonics.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://milonics.gitbook.io/api-documentation/guide/customer-journey-guidebook.md).

# Customer Journey Guidebook

### Purpose of the Guidebook

The purpose of this customer journey guidebook is to help your product team implement the right user experience for the purpose of embedding the health insurance plans within your mobile or web application.&#x20;

{% hint style="info" %}
The UI Sample Kit works in tandem with the [Insurpass API Documentation](https://docs.insurpass.com), giving you a robust overview from both a technical and product angle.
{% endhint %}

#### Overview of Insurpass API

Insurpass is an open insurance API that helps fintech companies and other digital platforms to rapidly configure health insurance services into their web/mobile platforms, thereby creating new value proposition for their customers. With Fruiti, your customers are able to sign-up, renew plan and request claims for a micro-insurance healthcare plan entirely within your mobile/web app. Insurpass is pre-configured with two micro health insurance products and credit life insurance products while allowing your customers to select the preferred insurance plan to purchase.

#### How does Insurpass fit into your technology?

Insurpass is built on simple HTTP requests like `POST`, `PUT`, `DELETE`, `GET` and responses structured in `JSON`. These requests and responses are generalized so you can build anything you’d like using them. All that’s left is to display the customer journey in form of a user interface for your users within your web or mobile app.

{% hint style="info" %}
There is a sample user interface kit in this guidebook that will help you create your own UI.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/guide/customer-journey-guidebook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
